# Uses of Interface
org.eclipse.e4.ui.model.application.ui.basic.MTrimElement

Packages that use MTrimElement
Package
Description
org.eclipse.e4.ui.model.application.ui.basic
Application programming interfaces describing the basic Eclipse 4 user interface model elements.
org.eclipse.e4.ui.model.application.ui.basic.impl
org.eclipse.e4.ui.model.application.ui.basic.util
org.eclipse.e4.ui.model.application.ui.menu
Application programming interfaces describing the Eclipse 4 menu and toolbar model elements.
org.eclipse.e4.ui.model.application.ui.menu.impl
org.eclipse.e4.ui.model.application.ui.menu.util
org.eclipse.ui.internal

## Uses of MTrimElement in org.eclipse.e4.ui.model.application.ui.basic

Subinterfaces with type arguments of type MTrimElement in org.eclipse.e4.ui.model.application.ui.basic
Modifier and Type
Interface
Description
`interface`
`MTrimBar`
A representation of the model object 'Trim Bar'.
Methods in org.eclipse.e4.ui.model.application.ui.basic that return types with arguments of type MTrimElement
Modifier and Type
Method
Description
`List<MTrimElement>`
MTrimBar.`getPendingCleanup()`
Returns the value of the 'Pending Cleanup' reference list.

## Uses of MTrimElement in org.eclipse.e4.ui.model.application.ui.basic.impl

Subclasses with type arguments of type MTrimElement in org.eclipse.e4.ui.model.application.ui.basic.impl
Modifier and Type
Class
Description
`class`
`TrimBarImpl`
An implementation of the model object 'Trim Bar'.
Fields in org.eclipse.e4.ui.model.application.ui.basic.impl with type parameters of type MTrimElement
Modifier and Type
Field
Description
`protected org.eclipse.emf.common.util.EList<MTrimElement>`
TrimBarImpl.`pendingCleanup`
The cached value of the '`Pending Cleanup`' reference list.
Methods in org.eclipse.e4.ui.model.application.ui.basic.impl that return types with arguments of type MTrimElement
Modifier and Type
Method
Description
`List<MTrimElement>`
TrimBarImpl.`getPendingCleanup()`

## Uses of MTrimElement in org.eclipse.e4.ui.model.application.ui.basic.util

Methods in org.eclipse.e4.ui.model.application.ui.basic.util with parameters of type MTrimElement
Modifier and Type
Method
Description
`T1`
BasicSwitch.`caseTrimElement(MTrimElement object)`
Returns the result of interpreting the object as an instance of 'Trim Element'.

## Uses of MTrimElement in org.eclipse.e4.ui.model.application.ui.menu

Subinterfaces of MTrimElement in org.eclipse.e4.ui.model.application.ui.menu
Modifier and Type
Interface
Description
`interface`
`MToolBar`
A representation of the model object 'Tool Bar'.
`interface`
`MToolControl`
A representation of the model object 'Tool Control'.
Subinterfaces with type arguments of type MTrimElement in org.eclipse.e4.ui.model.application.ui.menu
Modifier and Type
Interface
Description
`interface`
`MTrimContribution`
A representation of the model object 'Trim Contribution'.

## Uses of MTrimElement in org.eclipse.e4.ui.model.application.ui.menu.impl

Classes in org.eclipse.e4.ui.model.application.ui.menu.impl that implement MTrimElement
Modifier and Type
Class
Description
`class`
`ToolBarImpl`
An implementation of the model object 'Tool Bar'.
`class`
`ToolControlImpl`
An implementation of the model object 'Tool Control'.
Subclasses with type arguments of type MTrimElement in org.eclipse.e4.ui.model.application.ui.menu.impl
Modifier and Type
Class
Description
`class`
`TrimContributionImpl`
An implementation of the model object 'Trim Contribution'.
Methods in org.eclipse.e4.ui.model.application.ui.menu.impl that return types with arguments of type MTrimElement
Modifier and Type
Method
Description
`List<MTrimElement>`
TrimContributionImpl.`getChildren()`
This is specialized for the more specific element type known in this context.
Methods in org.eclipse.e4.ui.model.application.ui.menu.impl with parameters of type MTrimElement
Modifier and Type
Method
Description
`void`
TrimContributionImpl.`setSelectedElement(MTrimElement newSelectedElement)`
This is specialized for the more specific type known in this context.

## Uses of MTrimElement in org.eclipse.e4.ui.model.application.ui.menu.util

Methods in org.eclipse.e4.ui.model.application.ui.menu.util with parameters of type MTrimElement
Modifier and Type
Method
Description
`T1`
MenuSwitch.`caseTrimElement(MTrimElement object)`
Returns the result of interpreting the object as an instance of 'Trim Element'.

## Uses of MTrimElement in org.eclipse.ui.internal

Constructor parameters in org.eclipse.ui.internal with type arguments of type MTrimElement
Modifier
Constructor
Description
``
`CoolBarToTrimManager(MApplication app, MTrimmedWindow window, List<MTrimElement> workbenchTrimElements, IRendererFactory rf)`